Subject: exotic pest plants

From: [email-masked]
Date: Tue, 11 Apr 95 08:25:27 +400

I'm having trouble making this work---
Is there anyone out there doing work with exotic pest plants? I am interested
in research, management, education etc. I am especially concerned with the
threat to natural habitats and boidiversity. Any information or show of like
interest would be appreciated. Know of a listserv that addresses this? Any
skilled in starting one?

Thanks,
Nancy Fraley
Tennessee Botanist